import 'package:flutter/material.dart';
import 'package:mobile_pos/mobile_pos_sdk.dart';

class BankBoxConfig {
  ///Called when a user cicks the close button
  ///Add your own close logic is the default does not yeild good behaviour
  final void Function()? onClose;

  ///Called when a transaction completes successfully
  final Function(dynamic) onSuccess;

  ///Called when a transaction fails
  final Function(BankBoxException exception) onError;

  ///Defaults to [RavenMobilePOSEnviroment.staging],
  final BankBoxEnviroment enviroment;

  ///Customise the look and feel of the plugin
  MobilePOSTheme? theme;

  ///Contains details about this app instance
  AppInfo appInfo;

  ///Set to true if you wish to show the label at the bottom
  final bool showLabel;

  ///Infomation about current user
  CustomerInfo customerInfo;

  ///allow to show user terminals
  final bool showTerminals;

  ///allow user to be able to check balance from bankbox
  final bool enableBalanceCheck;

  ///A widget that show up as log on plugion homepage
  final Widget? logo;

  BankBoxConfig(
      {required this.onSuccess,
      required this.onError,
      required this.appInfo,
      this.onClose,
      this.enableBalanceCheck = true,
      this.showTerminals = true,
      this.showLabel = true,
      this.theme,
      this.logo,
      required this.customerInfo,
      this.enviroment = BankBoxEnviroment.staging})
      : super() {
    theme = theme ?? MobilePOSTheme.defaults();
  }

  bool get isStaging => enviroment == BankBoxEnviroment.staging;
}
